FROM thomisus/onlyoffice-documentserver-unlimited:7.5.1

ARG VERSION

RUN sed -i '27i FORCESAVE_ENABLE=${FORCESAVE_ENABLE:-false}\nFORCESAVE_INTERVAL=${FORCESAVE_INTERVAL:-5m}\nFORCESAVE_STEP=${FORCESAVE_STEP:-1m}\n' /app/ds/run-document-server.sh
RUN sed -i '340i  ${JSON} -I -e "if(this.services.CoAuthoring.autoAssembly===undefined)this.services.CoAuthoring.autoAssembly={};"' /app/ds/run-document-server.sh
RUN sed -i '341i  ${JSON} -I -e "this.services.CoAuthoring.autoAssembly.enable = ${FORCESAVE_ENABLE}"' /app/ds/run-document-server.sh
RUN sed -i '342i  ${JSON} -I -e "this.services.CoAuthoring.autoAssembly.interval = \x27${FORCESAVE_INTERVAL}\x27"' /app/ds/run-document-server.sh
RUN sed -i '343i  ${JSON} -I -e "this.services.CoAuthoring.autoAssembly.step = \x27${FORCESAVE_STEP}\x27"\n' /app/ds/run-document-server.sh
